Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041977
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformmajorhave not tried2019-10-10 09:552019-12-12 23:01
ReporteraferrazView Statuspublic 
Assigned Tocberner 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q1
StatusclosedFix in branchFixed in SCM revisionf20c0d75e5e4
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041977: Allow subqueries in Log Clean Up Configuration hql where clause

DescriptionAllow subqueries in Log Clean Up Configuration hql where clause
Steps To ReproduceAs System Admin, create a record in Log Clean Up Configuration window.
Add a subquery in the where clause pointing to a column of the log table:
exists (select 1 from entity where entity.property.id = e.id)

Run Log Clean Up Process process in Process Request window.
Realize an error is thrown because "e" alias is not added to log table.
Proposed SolutionAttached proposed fix
TagsNo tags attached.
Attached Filesdiff file icon 41977.diff [^] (1,144 bytes) 2019-10-10 09:58 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0115953)
hgbot (developer)
2019-11-28 16:28

Repository: erp/devel/pi
Changeset: f20c0d75e5e400cfca64e9674b23025deb68910d
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Wed Nov 20 17:29:27 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/f20c0d75e5e400cfca64e9674b23025deb68910d [^]

Fixes issue 41977: Allows subqueries in Log Clean Up Configuration hql clause

A new column and field has been added to OBULOG_CONFIG and Log Clean Up Configuration respectively.
This "Entity Alias" column and field sets the alias that will be used to reference the main table in the hql where clause. By default it is empty.

---
M modules/org.openbravo.utility.cleanup.log/src-db/database/model/tables/OBULOG_CONFIG.xml
M modules/org.openbravo.utility.cleanup.log/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.utility.cleanup.log/src-db/database/sourcedata/AD_ELEMENT.xml
M modules/org.openbravo.utility.cleanup.log/src-db/database/sourcedata/AD_FIELD.xml
M modules/org.openbravo.utility.cleanup.log/src/org/openbravo/utility/cleanup/log/CleanEntity.java
---
(0115964)
AugustoMauch (developer)
2019-11-28 19:25

Code reviewed and verified
(0116292)
hudsonbot (developer)
2019-12-12 23:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/954d2b7a66fb [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-10-10 09:55 aferraz New Issue
2019-10-10 09:55 aferraz Assigned To => platform
2019-10-10 09:55 aferraz Modules => Core
2019-10-10 09:55 aferraz Triggers an Emergency Pack => No
2019-10-10 09:57 aferraz Steps to Reproduce Updated View Revisions
2019-10-10 09:58 aferraz File Added: 41977.diff
2019-11-21 09:39 cberner Assigned To platform => cberner
2019-11-21 09:39 cberner Status new => scheduled
2019-11-21 09:39 cberner Review Assigned To => AugustoMauch
2019-11-28 16:28 hgbot Checkin
2019-11-28 16:28 hgbot Note Added: 0115953
2019-11-28 16:28 hgbot Status scheduled => resolved
2019-11-28 16:28 hgbot Resolution open => fixed
2019-11-28 16:28 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f20c0d75e5e400cfca64e9674b23025deb68910d [^]
2019-11-28 19:25 AugustoMauch Note Added: 0115964
2019-11-28 19:25 AugustoMauch Status resolved => closed
2019-11-28 19:26 AugustoMauch Fixed in Version => 3.0PR20Q1
2019-12-12 23:01 hudsonbot Checkin
2019-12-12 23:01 hudsonbot Note Added: 0116292


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker